allow-lan: false
bind-address: 127.0.0.1
mode: rule
log-level: info
ipv6: false
unified-delay: true
tcp-concurrent: true

listeners:
  - name: socks
    type: socks
    listen: 127.0.0.1
    port: 2343
    udp: true
    users: []

proxies:
  - name: anytls-eee
    type: anytls
    server: 213.111.189.19
    port: 443
    password: "RWztuYLsjkpjpjkKbia6LVALBu0LE04S"
    client-fingerprint: random
    udp: true
    sni: tut.budistov.net
    alpn:
      - h2
      - http/1.1
    skip-cert-verify: false

  - name: sudoku-eee
    type: sudoku
    server: vkcloud.sidhartha.ru
    port: 443
    key: "575e74ca-853f-4425-bb21-6e77ed1791d5"
    aead-method: chacha20-poly1305
    padding-min: 1
    padding-max: 15
    table-type: prefer_entropy
    enable-pure-downlink: false
    httpmask:
      disable: false
      mode: poll
      tls: true
      mask-host: "budistov.net"
      path-root: "OLEiu9vXADXz"
      multiplex: auto

  - name: anytls-kipr
    type: anytls
    server: kipr.sidhartha.ru
    port: 443
    password: "xKEt1ukFQzvcwZb4RPKwRLO5oLNmIxcS"
    client-fingerprint: chrome
    udp: true
    sni: kipr.sidhartha.ru
    alpn:
      - h2
      - http/1.1
    skip-cert-verify: false

  - name: sudoku-kipr
    type: sudoku
    server: kipr.budistov.net
    port: 443
    key: "2b7a4b9a-3a52-4f90-9673-b55b8f908bb2"
    aead-method: chacha20-poly1305
    padding-min: 1
    padding-max: 15
    table-type: prefer_ascii
    enable-pure-downlink: false
    httpmask:
      disable: false
      mode: auto
      tls: true
      mask-host: "kipr.budistov.net"
      path-root: "S0cUch3TOcA"
      multiplex: auto

proxy-groups:
  - name: "PROXY"
    type: select
    proxies:
      - AUTO
      - anytls-eee
      - sudoku-eee
      - anytls-kipr
      - sudoku-kipr

  - name: "AUTO"
    type: fallback
    proxies:
      - anytls-eee
      - sudoku-eee
      - anytls-kipr
      - sudoku-kipr

    url: 'https://www.gstatic.com/generate_204'
    interval: 180
    timeout: 5000
    max-failed-times: 3
    expected-status: 204
    lazy: true

rules:
  - GEOIP,cloudflare,PROXY,no-resolve
  - GEOIP,google,PROXY,no-resolve

  - GEOIP,RU,DIRECT,no-resolve

  - MATCH,PROXY
